[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Controls' (#lcl)

# TDragDockObject.EndDrag

Finish docking.

## Declaration

Source position: controls.pp line 601

`protected procedure TDragDockObject.EndDrag(`
`Target: TObject;`
`X: Integer;`
`Y: Integer`
`); override;`

## Arguments

`Target` |  | The target docksite, or Nil to make the Control float.
`X` |  | Horizontal coordinate for the mouse pointer.
`Y` |  | Vertical coordinate for the mouse pointer.

## Description

Invokes Control.DoEndDock.

## See also

TControl.DoEndDock |  | Signals the OnEndDock event handler when the control has been undocked.